/**
 * 通用js
 */

jQuery(function($) {

	//删除全选
	$(document).on('click', '.box-select-all', function() {
		if ($(this).is(":checked"))
			$(".box-delete").prop('checked', true);
		else
			$(".box-delete").prop('checked', false);
	});

	//删除提示
	$(document).on('click', '.link-delete', function() {
		if (!confirm('确认删除?'))
			return false;
	});

	//批量删除
	$(document).on('click', '.batch-delete', function() {
		var length = $(".box-delete:checked").length;
		if (length == 0) {
			alert('请至少选择一项');
			return false;
		}
		if (!confirm('确认删除?'))
			return false;
		var ids = '';
		var url = $(this).data('url');

		$("#main-form").attr('action', url).trigger('submit');

	});

	//批量排序
	$(document).on('click', '.batch-sort', function() {
		var url = $(this).data('url');

		$("#main-form").attr('action', url).trigger('submit');
	});


	/**
	 * 弹出tab使用方法，增加名为editByIframe的class 
	 * 增加属性
	 * @param data-href  你跳转处理数据的地址
	 * @param data-id    跳转出去的iframe的ID,方便再次点击时候找到你已经打开的iframe
	 * @param data-title iframe tab的名称
	 */
	$(document).on('click', '.editByIframe', function() {
		var $this = $(this);
		var href = $this.data('href');
		var id = $this.data('id');
		var title = $this.data('title');
		window.parent.iframeJudge({
			elem: $this,
			href: href,
			id: id,
			title: title
		});
		return false;//阻止a本身的跳转
	});

	/**
	 * 自动给table添加序号，tr内在添加序号的地方加class key_num
	 */
	var len = $('table tr').length;
	for (var i = 1; i < len; i++) {
		$('table tr:eq(' + i + ') .key_num').text(i);
	}

	/*必填项加*号*/
	$(".required th label").after("<span class='redstar'>*</span>");


	//不支持placeholder浏览器下对placeholder进行处理
	if (document.createElement('input').placeholder !== '') {
		$('[placeholder]').focus(function() {
			var input = $(this);
			if (input.val() == input.attr('placeholder')) {
				input.val('');
				input.removeClass('placeholder');
			}
		}).blur(function() {
			var input = $(this);
			if (input.val() == '' || input.val() == input.attr('placeholder')) {
				input.addClass('placeholder');
				input.val(input.attr('placeholder'));
			}
		}).blur().parents('form').submit(function() {
			$(this).find('[placeholder]').each(function() {
				var input = $(this);
				if (input.val() == input.attr('placeholder')) {
					input.val('');
				}
			});
		});
	}


	//提交按钮是否固定底部
	setBtnWrap();
	/*$(window).on('resize', function(){
	 setBtnWrap(true);
	 });*/




	//iframe页面f5刷新
	$(document).on('keydown', function(event) {
		var e = window.event || event;
		if (e.keyCode == 116) {
			e.keyCode = 0;

			var $doc = $(parent.window.document),
					id = $doc.find('#B_history .current').attr('data-id'),
					iframe = $doc.find('#iframe_' + id);
			if (iframe[0].contentWindow) {
				//common.js
				reloadPage(iframe[0].contentWindow);
			}

			//!ie
			return false;
		}

	});


});

//重新刷新页面，使用location.reload()有可能导致重新提交
function reloadPage(win) {
	var location = win.location;
	location.href = location.pathname + location.search;
}

function setBtnWrap(reset) {
	if (parent.Wind && parent.Wind.dialog) {
		//过滤弹窗
		return;
	}

	if ($('body').height() <= $(window).height()) {
		$('div.btn_wrap').removeClass('btn_wrap');
	} else {
		if (reset) {
			var par = $('button.J_ajax_submit_btn:last').parent().parent();
			if (!par.attr('class')) {
				//class一定为空
				par.addClass('btn_wrap');
			}
		}
	}
}